/// <reference types="react" />
import { ColumnType } from '../table';
declare type ColumnSettingProps = {
    columns: ColumnType[];
    draggable?: boolean;
    checkable?: boolean;
    className?: string;
};
declare function ColumnSetting<T>(props: ColumnSettingProps): JSX.Element;
export default ColumnSetting;
